Description

Hi Supporterkollegen,

folgende Anfrage kam vom Kunden rein, konnte ich auch reproduzieren, aber wie genau der datexporter aufzurufen ist konnten wir

auch mit Hilfe der doku nicht herausfinden, könnt ihr da vll helfen?

FFMep support hab' ich mit 'sudo apt install ffmpeg' installiert, oder war das falsch/fehlt noch was?

"I'm trying to use the ADTF Assist application together with the ADTF compression toolbox to export the video stream from a

DAT-file. I wan't to use the "adtf_datexporter" executable to be able to run it from command line. However, when I run it it get a

cryptic error message.

The following system is used:

Ubuntu 16.04.5

FFmpeg: 2.8.15

ADTF Assist: 2.14.2

ADTF compression toolbox: 2.5.0

The file I'm working with right now is the example file located within the ADTF assist application

({APP_DIR}/bin/templates/example_test_file.dat).

When I use the normal graphic interface of ADTF Assist and go to Tools -> DatExporter the export is working fine and the

application is using FFmpeg to compress the video. However, when I try to execute the adtf_datexporter alone from the

command line it fails.

To execute the adtf_datexporter I use the following command:

/opt/adtf/bin/adtf_datexporter \\\\

-verbose \\\\

-export video \\\\

-sinkid adtf.export.ffmpeg \\\\

-output /tmp/example_test_file_converted.avi \\\\

-property codec=mpeg4 \\\\

-service /opt/adtf/addons/adtf-compression-toolbox/bin/debug/video_compression_ffmpeg_support.srv \\\\

/opt/adtf/bin/templates/example_test_file.dat

The error I receive is the following:

/mnt/data/jenkins/workspace/compression_builder/PLATFORM/linux64/source/src/ffmpeg_support_srv/export/ffmpegfile.cpp(63)

: info 0x00000000: Could not deduce output format from file extension: using MPEG.

/mnt/data/jenkins/workspace/compression_builder/PLATFORM/linux64/source/src/ffmpeg_support_srv/export/ffmpegfile.cpp(68)

: error 0x00000000: Could not find suitable output format

See the attached file for the full verbose log. As the error message say it cannot find a suitable output format I've tried to add

"-property format=avi" also (the format can be set to avi when using the DATExporter in the GUI), but I still get the same error.

I understand it can be hard to fully support a Linux system since it depends heavily on separate installed applications (such as

FFmpeg), but as the export works fine in the GUI application I'm fairly certain that the system itself is fine but I'm doing

something wrong with the arguments / when invoking the adtf_datexporter executable."

History

#1 - 2019-01-31 09:22 - hidden

- Project changed from Public Support to 7
- Status changed from New to In Progress

- Topic set to ADTF::Datexporter

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 2.14.2, ADTF Video Compression Toolbox 2.5.0 added

- Platform Ubuntu 16.04 64bit added

#6 - 2019-02-01 08:37 - hidden

Ich denke es fehlt noch der allgemeine Compression Support Service:

-service /opt/adtf/addons/adtf-compression-toolbox/bin/debug/video_compression_support.srv

-service /opt/adtf/addons/adtf-compression-toolbox/bin/debug/video_compression_ffmpeg_support.srv

Allerdings wundert es mich, dass es mit der aktuellen FFMpeg Version funktioniert, die is viel neuer als die die wir in der Doku angeben, aber schön.

Grüße,

Martin

#7 - 2019-02-01 11:15 - hidden

Hi,

das problem ist leider noch nicht gelöst:

I tried your suggestion of loading both services but I still get the same error ("could not get find suitable output format").

I now run the following command:

/opt/adtf/bin/adtf_datexporter \

-verbose \

-export video \

-sinkid adtf.export.ffmpeg \

-output /tmp/example_test_file_converted.avi \

-property codec=mpeg4 \

-property format=avi \

-service /opt/adtf/addons/adtf-compression-toolbox/bin/debug/video_compression_support.srv \

-service /opt/adtf/addons/adtf-compression-toolbox/bin/debug/video_compression_ffmpeg_support.srv \

/opt/adtf/bin/templates/example_test_file.dat

I can see in the verbose log output that both video_compression_support.srv and video_compression_ffmpeg_support.srv is loaded:

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1285): info 0x00000000: Try to load

"/opt/adtf/addons/adtf-compression-toolbox/bin/debug/video_compression_support.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1409): info 0x00000000: Loaded plugin:

"/opt/adtf/addons/adtf-compression-toolbox/bin/debug/video_compression_support.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000: Registered class

"adtf.video_compression_support". ( 5 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1285): info 0x00000000: Try to load

"/opt/adtf/addons/adtf-compression-toolbox/bin/debug/video_compression_ffmpeg_support.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1409): info 0x00000000: Loaded plugin:

"/opt/adtf/addons/adtf-compression-toolbox/bin/debug/video_compression_ffmpeg_support.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000: Registered class

"adtf.video_compression_ffmpeg_support". ( 6 )

I've tried to reverse order on the "-service" arguments when running the command and tried without the "-property format=avi" argument but I still see

the same error.

Noch ne idee, was wir probieren könnten?

Lg Flo

#9 - 2019-02-06 08:27 - hidden

@Martin: Hast du noch eine Idee ? Kannst du das nachstellen ?

#10 - 2019-02-06 09:11 - hidden

Ich habe gerade nopchmal versucht das nachzustellen:

Die original Kommandozeile oben im Ticket funktioniert bei mir wunderbar (mit der FFmpeg Version aus der readme.txt).
Ich denke es muss irgendwie an der FFmpeg Version liegen (da guess_format schief geht). Könnt ihr mal mit

ldd -r /opt/adtf/addons/adtf-compression-toolbox/bin/debug/video_compression_ffmpeg_support.srv

überprüfen welche ffmpeg libraries er nimmt?

[heimlich@localhost]$ LD_LIBRARY_PATH=/home/heimlich/devel/sdk/ffmpeg/lib ./adtf/bin/adtf_datexporter -verbose

 -export video -sinkid adtf.export.ffmpeg -output /tmp/example_test_file_converted.avi -property codec=mpeg4 -

service ./adtf/addons/adtf-compression-toolbox/bin/debug/video_compression_ffmpeg_support.srv ./adtf/bin/templ

ates/example_test_file.dat

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1285): info 0x00000000: 

Try to load "/home/heimlich/adtf-2.14/bin/adtf_kernel.srv" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1409): info 0x00000000: 

Loaded plugin: "/home/heimlich/adtf-2.14/bin/adtf_kernel.srv" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.core.kernel". ( 1 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1285): info 0x00000000: 

Try to load "/home/heimlich/adtf-2.14/bin/adtf_media_description.srv" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1409): info 0x00000000: 

Loaded plugin: "/home/heimlich/adtf-2.14/bin/adtf_media_description.srv" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.core.mediadescription_manager". ( 2 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1285): info 0x00000000: 

Try to load "/home/heimlich/adtf-2.14/bin/adtf_sample_pool.srv" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1409): info 0x00000000: 

Loaded plugin: "/home/heimlich/adtf-2.14/bin/adtf_sample_pool.srv" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.core.sample_pool". ( 3 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1285): info 0x00000000: 

Try to load "/home/heimlich/adtf-2.14/bin/adtf_datexporter.srv" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1409): info 0x00000000: 

Loaded plugin: "/home/heimlich/adtf-2.14/bin/adtf_datexporter.srv" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.core.dat_exporter". ( 4 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1285): info 0x00000000: 

Try to load "/home/heimlich/adtf-2.14/bin/adtf_ffmpeg_support.srv" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1285): info 0x00000000: 

Try to load "./adtf/addons/adtf-compression-toolbox/bin/debug/video_compression_ffmpeg_support.srv" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1409): info 0x00000000: 

Loaded plugin: "./adtf/addons/adtf-compression-toolbox/bin/debug/video_compression_ffmpeg_support.srv" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.video_compression_ffmpeg_support". ( 5 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(94): info 0x00000000: St

arted UCOM runtime

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(398): info 0x00000000: S

tarting service "adtf.core.kernel" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(398): info 0x00000000: S

tarting service "adtf.core.mediadescription_manager" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(398): info 0x00000000: S

tarting service "adtf.core.sample_pool" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.core.media_type". ( 6 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.type.audio". ( 7 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.type.video". ( 8 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.core.media_sample". ( 9 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.sample.can_message_raw". ( 10 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.sample.adtf.v1.512.0". ( 11 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.sample.can_message_ext_raw". ( 12 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.sample.adtf.v1.512.1". ( 13 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.sample.lin_message". ( 14 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.sample.most_message". ( 15 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(398): info 0x00000000: S

tarting service "adtf.core.dat_exporter" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.import.wav_source". ( 16 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 
    Registered class "adtf.import.dat_file_source". ( 17 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.export.bmp". ( 18 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.export.wav". ( 19 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.export.csv". ( 20 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.export_ext.audio_comment". ( 21 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(398): info 0x00000000: S

tarting service "adtf.video_compression_ffmpeg_support" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.videocompression.codec.ffmpeg". ( 22 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.export.ffmpeg". ( 23 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1583): info 0x00000000: 

    Registered class "adtf.import.ffmpeg". ( 24 )

Output #0, avi, to '/tmp/example_test_file_converted.avi':

    Stream #0.0: Video: mpeg4, yuv420p, 320x240, q=2-31, 800 kb/s, 25.00 tb(c)

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/services/datexporter/datexporter_srv.cpp(

163): info 0x00000000: Processed 0%

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/services/datexporter/datexporter_srv.cpp(

163): info 0x00000000: Processed 100%

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/services/datexporter/datfile_decoder.cpp(

300): info 0x00000000: DAT File Export Finished!

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(542): info 0x00000000: S

topping service "adtf.video_compression_ffmpeg_support" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.videocompression.codec.ffmpeg". ( 23 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.export.ffmpeg". ( 22 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.import.ffmpeg". ( 21 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(542): info 0x00000000: S

topping service "adtf.core.dat_exporter" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.export.wav". ( 20 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.export.bmp". ( 19 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.import.wav_source". ( 18 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.import.dat_file_source". ( 17 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.export_ext.audio_comment". ( 16 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(542): info 0x00000000: S

topping service "adtf.core.sample_pool" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.core.media_sample". ( 15 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.core.media_type". ( 14 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.sample.can_message_ext_raw". ( 13 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.sample.adtf.v1.512.1". ( 12 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.sample.can_message_raw". ( 11 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.sample.adtf.v1.512.0". ( 10 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.sample.lin_message". ( 9 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.sample.most_message". ( 8 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.type.audio". ( 7 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.type.video". ( 6 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(542): info 0x00000000: S

topping service "adtf.core.mediadescription_manager" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(542): info 0x00000000: S

topping service "adtf.core.kernel" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.export.csv". ( 5 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.video_compression_ffmpeg_support". ( 4 )
/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1424): info 0x00000000: 

Unloading plugin: "ADTF Video Compression FFmpeg Support Plugin" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.core.dat_exporter". ( 3 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1424): info 0x00000000: 

Unloading plugin: "ADTF Dat File Exporter" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.core.sample_pool". ( 2 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1424): info 0x00000000: 

Unloading plugin: "ADTF Default Sample Pool" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.core.mediadescription_manager". ( 1 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1424): info 0x00000000: 

Unloading plugin: "ADTF Media Description Services" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1627): info 0x00000000: 

    Unregistered class "adtf.core.kernel". ( 0 )

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(1424): info 0x00000000: 

Unloading plugin: "ADTF Kernel Services" 

/mnt/data/jenkins/workspace/ADTF_builder/PLATFORM/linux64/source/src/ucom/runtime.cpp(111): info 0x00000000: S

topped UCOM runtime

[heimlich@localhost]$

#11 - 2019-02-11 08:30 - hidden

Hi,

scheint immer noch nicht gelöst, hier die Antwort des Kunden:

I've tried with both the version that is installed when installing from the Ubuntu 16 repository and as per your (Elektrobits) instructions in the

readme for the Video compression toolbox (instructions state to clone the FFmpeg git repository and checkout a specific commit). I've tried both

of these alternatives on a fresh ubuntu installation.

For the command you send I get the following output:

linux-vdso.so.1 =>  (0x00007ffd365d4000)

libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f02b563e000)

libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f02b543a000)

librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f02b5232000)

libavutil.so.49 => /usr/lib/libavutil.so.49 (0x00007f02b5024000)

libavformat.so.52 => /usr/lib/libavformat.so.52 (0x00007f02b4d7e000)

libavcodec.so.51 => /usr/lib/libavcodec.so.51 (0x00007f02b4639000)

libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f02b42b7000)

libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f02b3fae000)

libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f02b3d98000)

libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f02b39ce000)

/lib64/ld-linux-x86-64.so.2 (0x00007f02b5b57000)

libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f02b37b4000)

 Best regards - Beste Grüße,

Florian Obermeier

EB Assist ADTF Support-Team

#12 - 2019-02-11 13:30 - hidden

Hi,

hier noch ein Nachtrag des Kunden zu dem Problem:

"I just want to point out one thing. Running the DAT exporter from the GUI works fine. I can open the template file, choose the video stream and use

the FFmpeg sink to compress the video. However, when I try to use the CLI tool for this (<ADTF_DIR>/bin/adtf_datexporter) it fails. So the

"cooperation" between ADTF and the installed FFmpeg version (right now the git commit tag as specified in the README) works fine, the problem

occurs when I try to run it from commandline and skipping the GUI part."
Kann es sein, dass dat_exporter und GUI unterschiedlich libraries heranziehen irgendwie?

Best regards - Beste Grüße,

Florian Obermeier

EB Assist ADTF Support-Team

#13 - 2019-02-11 14:35 - hidden

Ich hab den Fehler jetzt gefunden. Letztendlich wird av_register_all() von FFmpeg nicht aufgerufen (warum das auf meinem Rechner passiert ist mir

aber ein Rätsel). Im Gui passiert das an anderer Stelle (beim Füllen der Codec Property), daher klappts da.

Ich arbeite an einem Workaround...

#14 - 2019-02-11 14:52 - hidden

- File ffmpeg_enabler.zip added

- File ffmpeg_enabler.srv added

Hi Flo,

anbei eine Service Implementierung (Quellcode und Release Binary) die av_register_all aufruft. Die bitte zusätzlich beim Export mit -service laden,

dann sollte es klappen.

Grüße,

Martin

#15 - 2019-02-11 16:03 - hidden

- Status changed from In Progress to Customer Feedback Required

- Support Level changed from 2nd Level to 3rd Level

@Martin: Ja, damit gehts:

fr@ubuntu:~/adtf/bin$ LD_LIBRARY_PATH=/home/fr/ffmpeg_install/lib ./adtf_datexporter -verbose -export video -sinkid adtf.export.ffmpeg

-output example_test_file_converted.avi -property codec=mpeg4 -service

../addons/adtf-compression-toolbox/bin/video_compression_ffmpeg_support.srv -service

../addons/adtf-compression-toolbox/bin/ffmpeg_enabler.srv templates/example_test_file.dat

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1285): info 0x00000000: Try to load

"/home/fr/adtf/bin/adtf_kernel.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1409): info 0x00000000: Loaded plugin:

"/home/fr/adtf/bin/adtf_kernel.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.core.kernel". ( 1 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1285): info 0x00000000: Try to load

"/home/fr/adtf/bin/adtf_media_description.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1409): info 0x00000000: Loaded plugin:

"/home/fr/adtf/bin/adtf_media_description.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.core.mediadescription_manager". ( 2 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1285): info 0x00000000: Try to load

"/home/fr/adtf/bin/adtf_sample_pool.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1409): info 0x00000000: Loaded plugin:

"/home/fr/adtf/bin/adtf_sample_pool.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.core.sample_pool". ( 3 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1285): info 0x00000000: Try to load

"/home/fr/adtf/bin/adtf_datexporter.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1409): info 0x00000000: Loaded plugin:

"/home/fr/adtf/bin/adtf_datexporter.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.core.dat_exporter". ( 4 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1285): info 0x00000000: Try to load

"/home/fr/adtf/bin/adtf_ffmpeg_support.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1285): info 0x00000000: Try to load

"../addons/adtf-compression-toolbox/bin/video_compression_ffmpeg_support.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1409): info 0x00000000: Loaded plugin:

"../addons/adtf-compression-toolbox/bin/video_compression_ffmpeg_support.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.video_compression_ffmpeg_support". ( 5 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1285): info 0x00000000: Try to load

"../addons/adtf-compression-toolbox/bin/ffmpeg_enabler.srv"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1409): info 0x00000000: Loaded plugin:

"../addons/adtf-compression-toolbox/bin/ffmpeg_enabler.srv"
/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.video_compression_ffmpeg_enabler". ( 6 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(94): info 0x00000000: Started UCOM

runtime

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(398): info 0x00000000: Starting service

"adtf.core.kernel"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(398): info 0x00000000: Starting service

"adtf.core.mediadescription_manager"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(398): info 0x00000000: Starting service

"adtf.core.sample_pool"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.core.media_type". ( 7 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.type.audio". ( 8 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.type.video". ( 9 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.core.media_sample". ( 10 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.sample.can_message_raw". ( 11 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.sample.adtf.v1.512.0". ( 12 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.sample.can_message_ext_raw". ( 13 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.sample.adtf.v1.512.1". ( 14 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.sample.lin_message". ( 15 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.sample.most_message". ( 16 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(398): info 0x00000000: Starting service

"adtf.core.dat_exporter"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.import.wav_source". ( 17 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.import.dat_file_source". ( 18 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.export.bmp". ( 19 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.export.wav". ( 20 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.export.csv". ( 21 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.export_ext.audio_comment". ( 22 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(398): info 0x00000000: Starting service

"adtf.video_compression_ffmpeg_support"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.videocompression.codec.ffmpeg". ( 23 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.export.ffmpeg". ( 24 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:     Registered

class "adtf.import.ffmpeg". ( 25 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(398): info 0x00000000: Starting service

"adtf.video_compression_ffmpeg_enabler"

Output #0, avi, to 'example_test_file_converted.avi':

Stream #0.0: Video: mpeg4, yuv420p, 320x240, q=2-31, 800 kb/s, 25.00 tb(c)

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/services/datexporter/datexporter_srv.cpp(163): info

0x00000000: Processed 0%

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/services/datexporter/datexporter_srv.cpp(163): info

0x00000000: Processed 100%

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/services/datexporter/datfile_decoder.cpp(300): info

0x00000000: DAT File Export Finished!

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(542): info 0x00000000: Stopping service

"adtf.video_compression_ffmpeg_enabler"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(542): info 0x00000000: Stopping service

"adtf.video_compression_ffmpeg_support"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.videocompression.codec.ffmpeg". ( 24 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.export.ffmpeg". ( 23 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.import.ffmpeg". ( 22 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(542): info 0x00000000: Stopping service

"adtf.core.dat_exporter"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered
class "adtf.export.wav". ( 21 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.export.bmp". ( 20 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.import.wav_source". ( 19 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.import.dat_file_source". ( 18 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.export_ext.audio_comment". ( 17 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(542): info 0x00000000: Stopping service

"adtf.core.sample_pool"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.core.media_sample". ( 16 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.core.media_type". ( 15 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.sample.can_message_ext_raw". ( 14 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.sample.adtf.v1.512.1". ( 13 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.sample.can_message_raw". ( 12 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.sample.adtf.v1.512.0". ( 11 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.sample.lin_message". ( 10 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.sample.most_message". ( 9 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.type.audio". ( 8 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.type.video". ( 7 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(542): info 0x00000000: Stopping service

"adtf.core.mediadescription_manager"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(542): info 0x00000000: Stopping service

"adtf.core.kernel"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.export.csv". ( 6 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.video_compression_ffmpeg_enabler". ( 5 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1424): info 0x00000000: Unloading plugin:

"ADTF Video Compression FFmpeg Enabler Plugin"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.video_compression_ffmpeg_support". ( 4 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1424): info 0x00000000: Unloading plugin:

"ADTF Video Compression FFmpeg Support Plugin"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.core.dat_exporter". ( 3 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1424): info 0x00000000: Unloading plugin:

"ADTF Dat File Exporter"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.core.sample_pool". ( 2 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1424): info 0x00000000: Unloading plugin:

"ADTF Default Sample Pool"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.core.mediadescription_manager". ( 1 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1424): info 0x00000000: Unloading plugin:

"ADTF Media Description Services"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:     Unregistered

class "adtf.core.kernel". ( 0 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1424): info 0x00000000: Unloading plugin:

"ADTF Kernel Services"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(111): info 0x00000000: Stopped UCOM

runtime

 

@Florian: Bitte verifzieren, ich würde wenn ja dazu einen FAQ Eintrag machen

#16 - 2019-02-13 08:00 - hidden

Hi,

im Beispiel findet sicher der verweis auf folgenden service:

../addons/adtf-compression-toolbox/bin/ffmpeg_enabler.srv
Wo finde ich den? Hab' grad adtf-compression-toolbox-2.5.0-adtf2.10.0-linux64.run heruntergeladen und installiert, aber:

supporter@VB-Support:/media/supporter/ADTF/versions/adtf2_addons/adtf-compression-toolbox-2.5/bin$ ll *.srv

rw-r--r- 1 supporter supporter  5891304 Nov 15  2013 video_compression_ffmpeg_support.srv

rw-r--r- 1 supporter supporter 12862319 Nov 15  2013 video_compression_support.srv

supporter@VB-Support:/media/supporter/ADTF/versions/adtf2_addons/adtf-compression-toolbox-2.5/bin$ cd debug/

supporter@VB-Support:/media/supporter/ADTF/versions/adtf2_addons/adtf-compression-toolbox-2.5/bin/debug$ ll *.srv

rw-r--r- 1 supporter supporter 4073423 Nov 15  2013 video_compression_ffmpeg_support.srv

rw-r--r- 1 supporter supporter 8836816 Nov 15  2013 video_compression_support.srv

Oder bin ich zu doof? Kann auch sein...

Lg Flo

#17 - 2019-02-13 08:01 - hidden

Hallo Flo,

im Beispiel findet sicher der verweis auf folgenden service:

../addons/adtf-compression-toolbox/bin/ffmpeg_enabler.srv

Wo finde ich den? [...]

 siehe #5952#note-14

#19 - 2019-02-15 14:19 - hidden

Gehts damit auch bei euch ?

#20 - 2019-02-18 13:30 - hidden

Hi,

danke für den fix, jetzt funktioniert's. Der Kunde lässt noch fragen, ob es einen patch für spätere versionen geben wird oder ob er sich auf diesen

workaround einstellen soll.

Danach kann's gerne zu, danke für die Hilfe und Mühen...

Lg Flo

#21 - 2019-02-19 13:25 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-2613 Technical request: Error when running datexporter on Linux to EBPRODUCTSUPPORT-2613

Error when exporting compressed video stream in Linux with adtf_datexporter

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Workaround Available

Hallo Flo,

die Compression Toolbox wird bekanntlich nicht mehr gepflegt und ist auch kein Bestandteil mehr in ADTF 3.x.

Von daher bleibt nur der Workaround.

Ich habe dazu auch ein FAQ angelegt:

https://support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Could-not-export-compressed-video-streams-on-Linux-in-shell-GUI-works-

fine-

Bitte künftig auch bei euch betrachten.

#22 - 2019-02-19 13:25 - hidden

- Status changed from To Be Closed to Closed

#23 - 2020-07-07 16:53 - hidden

- Description updated

Files
ffmpeg_enabler.zip 1.23 KB 2019-02-11 hidden

ffmpeg_enabler.srv 3.15 MB 2019-02-11 hidden
